YPSET(8)

NOM
ypset - Relier ypbind à un serveur NIS particulier

SYNOPSIS
ypset [ -d domaine ] [ -h hôte ] serveur

DESCRIPTION
Afin d'exécuter ypset, ypbind doit avoir été lancé avec les options -ypset ou -ypsetme. Voir ypbind(8). ypset demande à ypbind de récupérer les services NIS pour le domaine spécifié auprès du processus ypserv(8) en cours d'exécution sur le serveur.

Dans le cas où plusieurs hôtes d'un réseau local fournissent des services NIS, il est possible pour ypbind de relier un autre hôte même lorsque vous tentez de savoir si l'opération ypset a réussi. Par exemple, vous pouvez taper :

exemple% ypset host1

exemple% ypwhich

host2

ce qui peut être confus. Il s'agit d'une fonction de tentative du sous-système NIS de toujours connaître le serveur NIS en cours d'exécution. Celle-ci survient lorsque host1 ne répond pas à ypbind parce qu'il n'y a pas de ypserv en cours d'exécution (ou qu'il est surchargé) et que host2, exécutant ypserv, obtient la liaison.

serveur indique le serveur NIS à relier et doit être spécifié sous forme de nom ou d'adresse IP. Cela ne fonctionnera que si le noeud a actuellement une liaison valide pour le domaine en question et si ypbind a été configuré pour permettre l'utilisation de ypset. Dans la plupart des cas, serveur doit être spécifié sous forme d'adresse IP.

OPTIONS

-d domaine
    Spécifier un domaine autre que celui par défaut renvoyé par domainname(1).

-h hôte
    Définir la liaison NIS sur l'hôte plutôt que sur la machine locale.

AUTEUR
ypset fait partie du paquetage yp-tools qui a été écrit par Thorsten Kukuk <kukuk@suse.de>.

VOIR AUSSI
ypmatch(1), ypwhich(1), domainname(8), ypbind(8), ypcat(8), ypserv(8), yppoll(8),

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 1er septembre 2006 et révisée le 25 avril 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 ypset ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.